/* Copyright 2021-2026 EIFER (EDF and KIT) */

@charset "utf-8";


@font-face {
  font-family: 'Inter';
  font-style: normal;
  src: url(fonts/Inter-VariableFont_opsz,wght.ttf) format('truetype');
}

:root{
    --outer-nav-background-color: #d3d3d3;
    --bs-body-color: #000 !important;
    --bs-body-color-rgb: 0, 0, 0;
    --bs-light-rgb: 239, 242, 243;
    --ecd-border-color-hover: #888;
    --ecd-background-color-hover: rgb(242, 242, 242);
}

body {
    color-scheme: light;
}

body.ecd-edit-mode-loading {
    opacity: 0.5;
}


body div.cms .cms-messages {
    background: black;
}

body, h3, h4, h5 {
    color: #333;
    font-family: 'Inter', 'Segoe UI', sans-serif;
}
h3 {
    /*font-size: 32px;*/
    font-size: 28px;
    font-weight: 700;
    text-shadow: 0px 0px 3px white;
}
h2 {
    text-shadow: 0px 0px 3px white;
}

/* PLOTLY GRAPHS */
/* pie chars: shadows */
svg g.slice path.surface {
    filter: drop-shadow(3px 5px 4px rgb(0 0 0 / 0.15));
    /*stroke-width: 0 !important;*/
}
svg g.slice path.textline {
    stroke: #555 !important;
} 
/* bar charts */
svg g.plot path {
    filter: drop-shadow(2px 4px 3px rgb(0 0 0 / 0.15));
    mix-blend-mode: lighten;
    /* cursor: pointer !important; */
}
div.detail-plot-repartition svg g.plot path {
    mix-blend-mode: normal;
}

.cms-screenblock {
    display: none !important;
}

.navbar-brand {
    margin-left: 7px;
    margin-bottom: 6px;
}

.card {
    overflow: hidden;
}

/* style megamenu */
/* GENERAL */

.container.ecd_main_container {
   min-width: 1270px;
}
/* CMS TOOLBAR */
.cms-toolbar {
    height: 46px !important;
}
/* HEADER */
.outer-nav {
    position: relative;
    /* padding-top: 8px; */
    padding-right: 8px;
    height: 148px; /* 47 + 21 +80 */
    width: 1280px;
}
.ecd-sitetitle {
	font-family: 'Inter', 'Segoe UI', sans-serif;
	font-style: normal;
	font-weight: 500;
	font-size: 20px;
	line-height: 24px;
	color: #333333;
    padding: 10px 0px;
    display: block;
}

/* NAVBAR */
.navbar-brand {
    user-select: none;
}
.ecd_nav_container .navbar  {
    --bs-navbar-brand-padding-y: 3px;
    --bs-navbar-nav-link-padding-x: 8px;
    --bs-navbar-nav-link-padding-y: 8px;
    --bs-navbar-nav-link-color: #333;
}

li.nav-item.text-center.ecd-active {
  background: rgb(256,256,256);
  border-radius: 3px;
}

li.nav-item.text-center.ecd-active a {
  color: black;
  font-weight: 400;
}

#menu-1.show {
  border-width: 1px 1px 3px 1px;
}
/* the menu for the megamenu, when it is displayed */
#menu-1.show {
  border-radius: 3px 3px 0px 0px;
  border-width: 1px 1px 3px 1px;
  margin-bottom: -2px;
  z-index: 10000;
  position: relative;
  border-color: var(--ecd-border-color-hover) var(--ecd-border-color-hover) white var(--ecd-border-color-hover);
  padding-top: 7px;
  padding-left: 7px;
  padding-right: 7px;
}

/* user menu */
div#menu-user-div {
    right: 0px;
	padding: 43px;
	border-right-style: none; 
}
div#menu-user-div .dropdown-item, div#menu-user-div hr  {
    margin: 0;
    margin-bottom: 2px;
}

/* help menu */
#ecd-menu-help {
    font-size: 14px;   
}

/* menu behaviour : show menu when hover on item*/
.navbar-nav .nav-item:hover .dropdown-menu {
    display: block;
}
/* CONTENT */
.container.ecd_main_container {
    max-width: 1300px;
    min-height: 1340px;
    padding-right: 10px;
    padding-left: 20px;
    position: relative;
    margin-top: 70px;
}
.ecd_main_container section {
    padding-bottom: 10px;
    /* margin-right: -8px; */
}
.container.ecd_main_container.ecd_main_container_white {
    background: white;
    background-color:white;
    box-shadow: none;
    min-height: 0px;
    /* margin: 0px 0px; */
}
/* FOOTER */
.ecd-footer {background: #FFFFFF;box-shadow: 0px 0px 10px 10px rgba(136, 186, 221, 0.2);position: relative;padding: 20px 20px 0px 20px;min-height: 100px;width:100%;}

.ecd-footer a {
    color: #333;
}
.ecd-footer a:hover {
    text-decoration: underline;
}
.ecd-footer .list-unstyled {
    margin: 0px;
}
.ecd-footer .text-right li {
    text-align: right;
}
/* page title */
.container.ecd_main_container h3 {
    padding-top: 12px;
    margin-bottom: 0px;
    /* margin-top: 94px; */
}
/* section title */
.container.ecd_main_container h4 {
    font-style: normal;
	font-weight: 400;
	font-size: 20px;
	line-height: 24px;
	color: #1E1E1E;   
}

.container.ecd_main_container h5 {
    font-weight: 700;
    font-size: 22px;
}

/* Keep small h5 for scales menu only */
.container.ecd_main_container .scales-menus h5 {
  font-size: 14px;
}

.megamenu {
    padding: 55px 30px 60px 30px;
    margin: -20px 0px 0px 0px;
    min-height: 15em;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.megamenu .col-md-3 {
    padding-left: 0px;
}

.megamenu h6 {
    font-weight: 500;
    font-size: 16px;
    margin-left: 0.6em !important;
    margin-bottom: 32px;
    font-family: 'Inter', 'Segoe UI', sans-serif;
}
.megamenu .row, .megamenu .container {
    margin: 0px;
    padding: 0px;
}
a.megamenu-item {
    text-decoration: none;

    font-family: 'Inter';
    font-style: normal;
    font-weight: 300;
    font-size: 16px;
    line-height: 100%;
    color: #1E1E1E;
}
a.megamenu-item:hover {
    font-weight: 700;
}
.megamenu-logo {
    margin-bottom: 5px;
    display: inline-block;
    width: 24px;
}

/* for the mode selector (edit or not) */
.btn-secondary {
    background-color: #555;
    border-color: #555;
}
.btn-secondary:hover {
    background-color: #444;
    border-color: #444;
}
.btn-outline-secondary {
    /*background-color: rgba(0, 0, 0, 0);*/
    border-color: #555;    
    color: #555;
}
.btn-outline-secondary:hover {
    background-color: #555;
}
input.ecd-editable-page-title:focus {
    background: white;
    outline: none;
}

.ecd-editable-page-title {
    background: none;
    border-style: none none solid none;
    border-bottom-color: #333;
    width: 100%;
    font-size: 28px;
    font-weight: 700;
    /* margin: -2px -2px 0px 0px; */
    margin-left: -2px;
    margin-top: -2px;
    margin-bottom: -3px;
}
.ecd-editable-page-title-actions {
     display: none;
     float: right;
     position: absolute;
     margin-left: -99px;
     margin-top: 5px;
}

.ecd-editable-page-title-actions a {
    color: #333;
    cursor: pointer;
    text-decoration: none;
}
.ecd_main_container > h3, h3.ecd-page-title {
    z-index: 401;
    font-style: normal;
    font-weight: 400;
    font-size: 40px;
    line-height: 48px;
    color: #1E1E1E;
}
.ecd-page-title-row {
	margin-bottom: 37px;
}
h3.ecd-page-title:focus-within .ecd-editable-page-title-actions {
    display: inline-block;
}
/*
.container.ecd_main_container h3, .card-title.max-two-lines, .ecd-unit.simple, .outer-nav, .card-body {

}
*/
/*
.ecd_main_container_white row {
    padding: 10px;
}*/

.container.ecd_nav_container {
    max-width: 1280px;
    padding-right: 10px;
    padding-left: 10px;
}
/* FIXME: we should not be overriding max-width this way, but only poor code can fight poor code (efficiently) */
.container.ecd_nav_container .container {
    max-width: 1300px;
}

.row.ecd_row {
    padding-top: 19px;
    padding-bottom: 19px;
    min-height: 366px;
    --bs-gutter-x: 20px;
}

/*
#icon_home svg {
    height: 24px;
}
*/
/*
.dropdown-item {
    padding-bottom: 0;
}
*//

/* for all representations */
.ecd-unit {
/*
    padding: 2px 10px 8px 30px;
    font-size: 12px !important;
    min-height: 20px;
    max-height: 20px;
    */
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.max-two-lines {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    text-overflow: ellipsis;  
    overflow: hidden;
}

.simple .max-two-lines {
    -webkit-line-clamp: 3;

  background: #FFFFFF;
  box-shadow: 0px 0px 10px 5px rgba(136, 186, 221, 0.1);
  border-radius: 10px;

  font-style: normal;
  font-weight: 300;
  font-size: 12px;
  line-height: 140%;
  /* or 17px */
  display: flex;
  align-items: center;

  color: #1E1E1E;
  padding: 20px;
}


div.card-title {
    margin: 0;
    padding: 10px;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-size: 16px;
    font-weight: 500;
}


/* small represertations */
.component_view .detail_view {
    display: none;
}

.detail_view {
    background: #FFFFFF;
	box-shadow: 0px 0px 10px 10px rgba(136, 186, 221, 0.1);
	border-radius: 20px;
	border-style: none;
	padding-top: 20px;
	margin-bottom: 16px;
}
.card-body {
    padding: 0 10px 10px 10px;
}
div.card-title.simple {
	padding: 0px 20px 20px;
}

/* for detailed representations */
h4.card-title.detailed {
    margin: 0 90px 0 0 !important;
    line-height: 1.2;
    min-height: 2.4em;
    
    font-weight: 500;
    font-size: 20px;
    line-height: 140%;
    display: flex;
    align-items: flex-end;
    color: #1E1E1E;
}
div.card-title.detailed {
    margin: 0;
    padding: 33px 10px 10px 10px;
}
.ecd_card_left {
    border-right: 0;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
}
.ecd_card_right {
    border-left: 0;
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
}
.detailed-body {
    overflow:  hidden;
}
div.tab-pane.detailed {
    font-size: 14px;
}
div.rep-details {
    padding: 2em 10px 10px 13px;
}
ul.errors {
    padding-top: 20px;
    padding-left: 10px;
}
.errors li {
    background: url('/static/ecdmain/img/icon_error.svg') no-repeat left top;
    padding-left: 1.7em;
    list-style: none;
    color: red;
}
.error-title {
    font-weight: bold;
}
.warnings li {
    background: url('/static/ecdmain/img/icon_warning.svg') no-repeat left top;
    padding-left: 1.7em;
    list-style: none;
}
.ecd_row th {
    font-weight: normal;
}
.ecd_row td {
    text-align: right;
    font-weight:  normal;
}
div.rep-details h5 {
    font-weight: 700;
    font-size: 14px;
    text-align: center;
}
div.rep-details h6 {
    font-weight: 700;
    font-size: 14px;
    text-align: left;
    margin-left: 8px;
    margin-top: 1em;
}
.vTextField {
    width: 50em !important;
}
/************************************************
 * in detailed view, the plots
 ************************************************/
div.detail-plot-evolution {
    margin: 0px 0px 0px 20px;
    /*height: 460px;*/
    width: 590px;
    overflow: hidden;
}

/*
.card-body {
    padding-top: 20px;
}
*/

/* menus in detailed representations */
.nav.detailed {
	margin-right: 23px;
	padding: 47px 0 0 0;
	line-height: 1.5em;
	min-height: 78px;
	max-height: 78px;
}
.ecd-pill {
    font-size: 15px;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
.ecd-pill button {
    cursor: pointer;
}
.ecd-pill.disabled button {
    cursor: default;
}
/*
.ecd-pill .nav-item {
    margin-right: 20px;
}
*/
.ecd-pill-inner:hover {
    background-color: #eeeeee !important;	
}


.ecd-pill-inner.disabled, .ecd-pill-inner:disabled {
    color: lightgray !important;
}
/* tabs in detailed representations */
/* to be discussed with an ergo first
@keyframes pulse {
  from {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1);
  }
  to {
    transform: scale(1);
  }
}
.attractattention {
  animation-name: pulse;
  animation-timing-function: ease-in-out;
  animation-duration: 0.7s;
}
*/
.tab-pane.detailed {
	overflow-y:auto;
	height: 470px;
	margin-right:10px;
	padding: 10px 0 0 0;
}
/* icons for actions in detailed representations */
.actionurl {
    text-decoration: none;
    padding: 0;
    margin: 0;
}
.actionsview {
    position:  absolute;
    float: right;
    top: 80px;
    right: 15px;
    white-space: nowrap;
    z-index: 100;
}
.actionicon {
    margin: 3px 0px 0px 3px;
    background: #E7F1F8;
    border-radius: 35px;
    width: 30px;
    height: 30px;
    text-align: center;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.actionicon svg {
    height:20px;
    display: inline-block;
}
.actionicon.enabled svg {   
    opacity: 0.6;
    cursor: pointer;
}
.actionicon.enabled svg:hover {   
    opacity: 1;
}
.actionicon.disabled svg {
    opacity: 0.4;
}
/* edit button */
.edit-btn {
    
}
/* content in a detailed representation */
img.provider {
	max-height: 3em;
    margin-right: 1em;
    margin-bottom: 1em;
    max-width:  6em;
}
ul.rightstatements, ul.dataproviders {
  margin-top: 0.7em;
  margin-bottom: 0.3em;
}
ul.rightstatements li, ul.dataproviders li {
  margin-top: 0.7em;
}
span.dataupdated {
	color: gray;
}

span.ecd-modifcomment {
    text-decoration: underline dashed;
    cursor: default;
}

/* static plot */
svg text, svg span {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
svg text.annotation-text {
    -webkit-user-select: text !important;
    -ms-user-select: text !important;
    user-select: text !important;   
}

.toolbar-nominal {
    z-index: 20;
    width: auto;
    height: 20px;   
    fill: gray;
    position: absolute;
    right: 2px;
    top: 20px;
    margin: 0px 8px 0px 0px;
    padding: 0px;
    visibility: hidden;
}

.ecd-staticplot-container.component_view.ecd-active-card:hover {
  background: #FFFFFF;
  box-shadow: 0px 0px 20px 10px rgba(136, 186, 221, 0.4);
  border-radius: 20px;
  cursor: pointer;
}

.ecd-staticplot-container.component_view.card {
    flex-direction: column-reverse;
}

.ecd-staticplot-container.component_view.card ul.errors {
  height: 100%;
  overflow: auto;
}


.ecd-staticplot-container.component_view.card:hover .toolbar-nominal {
    visibility: visible;
}

.ecd-staticplot-container .card-body.simple {
    padding-top: 10px;
}
.ecd-staticplot-container .detailed-body {
    width: 100%;
    margin-top: 32px;
}
.ecd-staticplot-container.webmap .card-body, .ecd-staticplot-container.map-spatial-temporal .card-body {
    padding-top: 0px !important;
}

/* detailed representations: sources */
a.logoprovider {
    text-decoration: none;
}

/* logos */
.ecd_row_empty{
    height:270px;
}

.ecd_row_empty.cms_edition_mode{
    border-style: dashed;
    border-width: medium;
    border-color: silver;
}

.ecd_separator_container{
    margin-bottom: -12px;
    margin-top: 12px;
}

.ecd_separator_container .actionicon {
    display: none;
}

.ecd_separator_container:hover .actionicon {
    display: inline-block;
}

hr{
    margin-top: 0;
}

div.click-here {
    font-style: italic; 
    color: #333333;
    text-align: center;
    width: 100%;
    margin-top: 13em;
}

/* white pages */
.gray-block {
    background-color: #f3f3f3;
    border-radius: 1em;
    padding: 0.6em 1em 0.6em 1em;
}

/* forms */
.helptext {
    font-size: 80%;
    display: block;
}
.errors {
    color: red;
}

/* modification mode */

/* hide the message for edition */
.cms-tooltip, .cms-tooltip-touch {
    display: none !important;
}

/* card to click "add plugin" */
.add_row, .add_plugin {
    border-style: dashed;
    /*border-width: normal;*/
    border-color: #999999;
    background-color: #f2f2f2;
    overflow: visible;
}

.icon-add svg {
    cursor: pointer;
    fill: #cccccc;
}

.dropdown-toggle.show .icon-add svg {
    fill: #333333;
}

.add_plugin .dropdown-menu, .add_row .dropdown-menu {
    z-index: 0;
}

.add_row:hover, .add_plugin:hover {
    background-color: #f7f7f7;
}
.add_row:hover svg, .add_plugin:hover svg {
    fill: #333333;
}


/* SEARCH */

/* ... form */
form#filterform label, form#filterform input, form#filterform select {
    display: block;
    width: 100%;
}
form#filterform label {
    padding: 0.9em 10px 0.3em;
}
form#filterform {
    margin-top: 27px;
    /*visibility: hidden;*/
}
form#filterform input, form#filterform .ecd-select2 {
	background: #FFFFFF;
	border-radius: 20px;
	border-style: none;
	padding: 0px 20px;
}

form#filterform input.select2-search__field {
	border-radius: 0px;
	padding: 0px;
	font-size: 14px;
}

form#filterform .ecd-select2 {
	min-height: 2.2em;
	padding-top: 2px;
	padding-left: 10px;
	padding-right: 34px;
}

form#filterform .ecd-select2::after {
	content: "";
	background: transparent url('../ecdmain/img/icon_dropdown.svg') center / 20px auto no-repeat;
	width: 20px;
	height: 20px;
	position: absolute;
	top: 7px;
	right: 14px;
	cursor: pointer;
}

/* constrain the rendering of this which will be hidden by select2,
so it looks like what will be rendered at the end */
form.filterform select.ecd-select2 {
    /*visibility: hidden;*/
    /*line-height: var(--bs-body-line-height);*/
    height: 38px;
    width: 292.5px;
    background-color: white;
    border: 1px solid #aaa;
    border-radius: 4px;
    cursor: text;
    overflow: hidden;
}
form.filterform .ecd-select2 option {
    visibility: hidden;
}
form.filterform label[for="id_show_locked"] {
    width: auto !important;
    display: inline-block !important;
    padding-right: 1em;
}
form.filterform input[type="checkbox"] {
    width: auto !important;
    display: inline-block !important;
}

.select2.select2-container {
    min-width: 10em;
}

.ecd-body-content .select2 ul li.select2-selection__choice {
    background: #E7F1F8;
    border-radius: 40px;
    border-style: none;
    font-weight: 300;
    font-size: 10px;
    line-height: 140%;
	/* or 14px */
    display: flex;
    color: #1E1E1E;
    height: 20px;
    padding: 4px 5px 4px 10px;
    flex-direction: row-reverse;
    align-items: center;
}

.ecd-body-content .select2 .select2-selection__choice__remove, .ecd-body-content .select2 .select2-selection__choice__remove:hover {
	background: #E7F1F8 url('../ecdmain/img/icon_close.svg') center / 10px auto no-repeat;
	color: #0000;
    margin-left: 5px;
	width: 10px;
	height: 10px;
}

.ecd-body-content .select2 .select2-selection__clear {
	background: transparent url('../ecdmain/img/icon_close.svg') center / 15px auto no-repeat;
	color: transparent;
	margin: 7px 0px 0px;
	opacity: 0.34;
	height: 15px;
}
.ecd-body-content .select2.select2-container--open {
	z-index: 10;
}

.ecd-body-content .select2-container .select2-dropdown {
	background: #F7F7F7;
	border: 0.5px solid #E7F1F8;
	box-shadow: 0px 0px 10px 5px rgba(136, 186, 221, 0.1);
	border-radius: 0px 0px 17px 17px;
	padding-bottom: 17px;
	padding-top: 20px;
	margin-top: -20px;
	z-index: 0;
}

#id_keywords {
    height: 2.2em;
}

/* ... pages */
ul.pagination {
    margin-bottom: 5px;
}
ul.pagination li {
    padding-right: 0.3em;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}
ul.pagination li span {
	width: 30px;
	height: 30px;
	box-sizing: border-box;
	border: 1px solid #B3B3B3;
	border-radius: 5px;
	font-weight: 400;
	font-size: 12px;
	line-height: 140%;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	color: #B3B3B3;
}

ul.pagination li.active span {
    color: #1E1E1E;
	border-color: #1E1E1E
}

ul.pagination li.disabled span {
	opacity: 0.2;
}


.ecd-modal ul.pagination li.active span {
    background-color: var(--ecd-background-color-hover);
}

ul.pagination li:hover span {
    background-color: var(--ecd-background-color-hover);
    border-color: 1px solid #white;
}
ul.pagination .ecdpage {
    cursor: pointer;
}
ul.pagination .ecdpage:hover {
    cursor: pointer;
    background-color: #eeeeee !important;   
}

div#results {
    padding-bottom: 2em;
    margin-right: 2px;
}

div#results.ecd-ajax-in-progress .expandicon {
    display: none;
}

span#lastindex {
    font-size: smaller;
    width: 100%;
    text-align: center;
    display: inline-block;
    color: #CCC;
    margin-top: 1em;
}
/* ... vignettes */
#ecd-icon-plus {
    display: none;
}
.component_view {
    position: relative;
}
.ecd-add-overlay {
    position: absolute;  
    height: 100%;
    width: 100%;
    display: block;
    z-index: 100;
    visibility: hidden;
    background-color: rgba(255, 255, 255, .7);
    top: 0;
    left: 0;
    cursor: pointer;
}
.component_view:hover .ecd-add-overlay {
    visibility: visible;
}
.component_view:hover .ecd-add-overlay svg {
    fill: #555;
}
.ecd-add-overlay svg {
    fill: #cccccc;
    z-index: 200;
}
.ecd-centered-icon {
    position: absolute;
    height: 150px;
    width: 100%;
    display: block;
    top: 50px;
    left: 0;
    z-index: 10;
    border: none;
}
.ecd-centered-icon svg {
    fill: #cccccc;
    z-index: 11;
}

#modal-detailed.modal-xl {
    --bs-modal-width: 1260px;
    margin-left: -1px;
}

#modal-detailed .row, #modal-detailed .modal-body  {
    padding: 10px 0px 0px 0px !important;
    margin: 0 !important;
    width:1260px;
}
#modal-detailed .editicon, #modal-detailed .trashicon {
    display: none;
}

.ecd-link-icon>svg {
    height: 1.5em;
    fill: #999999;
}
.ecd-link-icon {
    color: #999999;
    font-weight: bold;
    display: block;
    margin-top: 20px;
}

.ecd-link-icon:hover>svg {
    fill: #333333;
}
.ecd-link-icon:hover {
    color: #333333;
}

.nominal-error svg circle {
    fill: #eee !important;
}

nav .dropdown-toggle::after {
    display: none;
}

#menu-1.show {
    background: white;
}

.ecd-centered-text{
    display: flex !important;
    /*justify-content: space-evenly*/;
    justify-content: center;
    align-items: center;
    height: 100%;
    flex-direction: column;
}

.ecd-centered-text.ecd-ct-top {
    justify-content: flex-start;
}


.ecd-centered-text.ecd-ct-bottom {
    justify-content: flex-end;
}

.ecd-centered-text > * {
    white-space: normal;
    margin: 0px;
    padding: 0px;
    -webkit-user-select: text;
    -ms-user-select: text;
    user-select: text;
    width: 100%;
}

.ecd-centered-text-container .toolbar-nominal {
    top: 3px;
    right: 0px;
}


/* ************** floating plus in edit mode *************** */
/* **** ADD PLUGIN **** */
.ecd-floating-add-plugin {
    display: inline-flex;
    width: 0px;
    margin: 0 0 0 0;
    padding: 0;
    position: relative;
}

/* Pull for 1/4 width blocks */
.col-3 + .ecd-floating-add-plugin {
    left: -320px;
}

/* Pull for 1/2 width blocks */
.col-6 + .ecd-floating-add-plugin {
    left: -640px;
}


/* Pull for 1/3 width blocks */
.col-4 + .ecd-floating-add-plugin {
    left: -425px;
}


/* Pull for 2/3 width blocks */
.col-8 + .ecd-floating-add-plugin {
    left: -854px;
}


/* Pull for 3/4 width blocks */
.col-9 + .ecd-floating-add-plugin {
    left: -960px;
}

.ecd-v-placeholder {
    width: 0em;
}


.ecd-v-placeholder:hover {
    border-right: gray dashed;
}

/* popup menu to add plugins or rows */
.ecd-floating-add-plugin .ecd-add-plugin-dropdown {
    position: relative;
    top: 8.1em;
    left: -0.5em;
    /* padding-top: 0; */
}
.ecd-add-plugin-dropdown .dropdown-item {
    cursor: pointer;
    padding: 4px 10px;
}
.ecd-add-plugin-dropdown .dropdown-item i.bi {
    margin-right: 0.2em;
}

.ecd-h-placeholder:hover {
    border-bottom: gray dashed;
    z-index: 402;
}

.ecd-h-placeholder:has(> div > ul.dropdown-menu.show)  {
    z-index: 403;
}


/* **** ADD ROW **** */

.ecd-floating-add-row {
    height: 0px;
}

.ecd-h-placeholder {
    margin-top: -0.25em;
    height: 0.5em;
    width: 100%;
    text-align: center;
}

.ecd-floating-add-row .ecd-add-plugin-dropdown {
    display: inline-block;
    top: -0.125em;
}

/* **** COMMON **** */

.ecd-floating-add-plugin .ecd-add-plugin-dropdown,
 .ecd-floating-add-row .ecd-add-plugin-dropdown {
    background-color: #EEEEEE;
    width: 1em;
    z-index: 150;
    height: 1em;
    border-radius: 1em;
    text-align: center;
    /* vertical-align: top; */
}

.ecd-floating-add-plugin .ecd-v-placeholder:hover .ecd-add-plugin-dropdown svg,
 .ecd-floating-add-row .ecd-h-placeholder:hover .ecd-add-plugin-dropdown svg {
    fill: #333333;
}
.ecd-floating-add-plugin .ecd-v-placeholder .ecd-add-plugin-dropdown svg,
 .ecd-floating-add-row .ecd-h-placeholder .ecd-add-plugin-dropdown svg{
    width: 1em;
    height: 1em;
    cursor: pointer;
    vertical-align: top;
}


#ecds-help {
    position: fixed;
    top: 0px;
    left: 0px;
    bottom: 0px;
    right: 0px;
    padding: 4em 1em 1em 1em;
    background: white;
    z-index: 1000;
    overflow: scroll;
}

.ecds-new-row {
    font-style: italic;
}

select.ecds-search-field {
    width: 100%;
}

.ecds-delete {
    text-align: center;
}

#ecd-dp-plugin-title {
    font-weight: bold;
}
/* fixing ckeditor bg color to white in dark mode */
@media (prefers-color-scheme: dark){
  .cke_editable {
    --bs-body-bg: white !important;
    }
}

.frontend-button-group-icons .icon-TOP {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="M160-760v-80h640v80H160Zm280 640v-408L336-424l-56-56 200-200 200 200-56 56-104-104v408h-80Z"/></svg>');
  filter: brightness(calc(var(--dca-light-mode, 1) + var(--dca-dark-mode, 0) * 16));
  transform: scale(0.9);
}

.frontend-button-group-icons .icon-MID {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="M440-80v-168l-64 64-56-56 160-160 160 160-56 56-64-64v168h-80ZM160-440v-80h640v80H160Zm320-120L320-720l56-56 64 64v-168h80v168l64-64 56 56-160 160Z"/></svg>');
  filter: brightness(calc(var(--dca-light-mode, 1) + var(--dca-dark-mode, 0) * 16));
  transform: scale(0.9);
}

.frontend-button-group-icons .icon-BTM {
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" height="24" viewBox="0 -960 960 960" width="24"><path d="M160-120v-80h640v80H160Zm320-160L280-480l56-56 104 104v-408h80v408l104-104 56 56-200 200Z"/></svg>');
  filter: brightness(calc(var(--dca-light-mode, 1) + var(--dca-dark-mode, 0) * 16));
  transform: scale(0.9);
}

body.cke_editable {
 font-size: 16px;
 font-weight: 500;
}

.cke_editable > * {
    white-space: normal;
    margin: 0px;
    padding: 0px;
    width: 100%;
}


/* Reverse customizations to basic bootrap in admin modal ...*/
.cms-admin-modal .container.ecd_main_container {
    min-height: auto;
    min-width: auto;
    padding-right: calc(var(--bs-gutter-x) * .5);
    padding-left: calc(var(--bs-gutter-x) * .5);
}

.ecds-delete-btn svg {
    fill: #CCC;
}

.ecds-delete-btn:hover svg {
    fill: #000000;
}

#table_datasets tr {
    border-bottom-color: #cc;
}

/* For debug only
.ecd-render-pending {
    border: solid red !important;
}
*/
body.ecd-body-content.ecds-modal-body {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    margin-top: 0px !important;
    overflow: hidden;
}

.ecds-modal-body .ecd_main_container {
    height: 100%;
}
#ecds-share-form {
    position: absolute;
    top: 191px;
    bottom: 0px;
    display: block;
}

.ecd-fixedheader-table {
  table-layout: fixed;
  border-collapse: collapse;
  height: 100%;
  position: relative;
  top: -23px;
  margin: 0px !important;
  overflow: auto;
  display: block;
  /* padding-top: 41px; */
  z-index: 0;
}

.ecd-fixedheader-table tbody {
    display: block;
    width: 100%;
}

.ecd-fixedheader-table thead {
  position: fixed;
  background: white;
  z-index: 999;
  margin-top: -41px;
  width: 1268px;
}
}
.ecd-fixedheader-table thead tr {
    display: block;
}
.ecd-fixedheader-table th,
.ecd-fixedheader-table td {
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

/** Shared with column **/
.ecd-fixedheader-table th:nth-child(1),
.ecd-fixedheader-table td:nth-child(1) {
    width: 550px;
}


/** Can column **/
.ecd-fixedheader-table th:nth-child(2),
.ecd-fixedheader-table td:nth-child(2) {
    width: 300px;
}


/** Access mode column **/
.ecd-fixedheader-table th:nth-child(3),
.ecd-fixedheader-table td:nth-child(3) {
    width: 300px;
}


/** Delete column **/
.ecd-fixedheader-table th:nth-child(4),
.ecd-fixedheader-table td:nth-child(4) {
    width: 130px;
}

.ecd-ajax-in-progress {
    opacity: 0.2;
}



a.link-dark {
    font-weight: bold;
    color: #333 !important;
}

a.link-dark svg {
    fill: #333;
    height: 2em;
}

/* FIXME: could be more optimal to have a specifc css files for user datasets */

.eud-wizard-step-content .ed-view-action {
    /* Hide the view action in the user defined datasets draft */
    display: none;
}

.eud-dstype-preview {
    width: 100%;
    object-fit: contain;
    height: 230px;
}

.eud-dstype-title {
  height: 2.5em;
  overflow: hidden;
}

/* New design */

.form-control, .btn {
	border-radius: 100px;
}

.ecd-login-screen .alert-secondary {
  --bs-alert-color: #A1A1A1;
  background: radial-gradient(90.16% 143.01% at 15.32% 21.04%, rgba(255, 255, 255, 0.5) 0%, rgba(194, 205, 213, 0.111979) 77.08%, rgba(149, 164, 185, 0) 100%) /* warning: gradient uses a rotation that is not supported by CSS and may not behave as expected */, rgba(255, 255, 255, 0.9);
  backdrop-filter: blur(40px);
  padding: 22px;
  border-style: none;
}

.ecd-login-screen .alert {
  border-radius: 50px;
}

small {
  font-size: 10px;
  line-height: 13px;
}

.ecd-login-screen h3 {
  font-family: 'Inter', 'Segoe UI', sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 35px;
}

.navbar {
  background: #FFFFFF;
  box-shadow: 0px 0px 10px 10px rgba(136, 186, 221, 0.1);
  border-radius: 20px;
  padding: 0px 30px 0px 50px;
  margin-top: 21px;
  margin-bottom: 70px;
}

.navbar .nav-item, .navbar .nav-link {
	height: 80px;
	font-style: normal;
	font-weight: 300;
	font-size: 20px;
	line-height: 24px;
	box-sizing: border-box;
	background: transparent;
	margin: 0px 21px 0px 0px;
}

.nav-item, .nav-link {
  color: #1E1E1E;
}

.nav-link {
    display: flex;
    align-items: center;
}

.nav-item:hover {
  /* background: var(--ecd-background-color-hover); */
  /* border-color: var(--ecd-border-color-hover); */
  /*margin: -0.8px -0.8px 0px -0.8px;*/
}

.nav-item.active, .nav-item.active .nav-link {
  font-weight: 600;
}

.dropdown-menu {
  background: #FFFFFF;
  box-shadow: 0px 0px 10px rgba(136, 186, 221, 0.3);
  border-radius: 20px;
  border-style: none;
  padding: 20px 20px 10px;
}

.ecd-roundout-ts,  ecd-roundout-te {
	border-radius: 0px 0px 20px 20px;
	margin-top: -20px;
	box-shadow: none;
	border-width: 3px;
	border-style: none solid solid;
	border-color: #EFF2F3;
}

.ecd-roundout-ts::before {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    left: -20px;
    top: 20px;
    border-radius: 0 20px 0 0;
    box-shadow: 10px -10px 0 10px white;
}

.ecd-roundout-te::after {
    content: "";
    position: absolute;
    width: 20px;
    height: 20px;
    right: -20px;
    top: 20px;
    border-radius: 20px 0px 0px 0px;
    box-shadow: -10px -10px 0 10px white;
}

.card {
	background: #FFFFFF;
	box-shadow: 0px 0px 10px 10px rgba(136, 186, 221, 0.1);
	border-radius: 20px;
	border-style: none;
	padding-top: 20px;
}

.btn-close {
    background: #E7F1F8 url('../ecdmain/img/icon_close.svg') center / 20px auto no-repeat;
    border-radius: 35px;
    width: 30px;
    height: 30px;
}

.nav-pills .nav-link {

  background: #FFFFFF;
  border: 1px solid rgba(136, 186, 221, 0.2);
  border-radius: 40px;

  font-style: normal;
  font-weight: 500;
  font-size: 15px;
  line-height: 140%;

  color: #1E1E1E;
  width: 101px;
  padding: 8px;
  text-align: center;
  display: block;
}

.nav-pills .nav-link.active {

  background: rgba(136, 186, 221, 0.2);
  font-weight: 600;
  font-size: 15px;
  color: #1E1E1E;
  border: none;

}

.close_detail {
  position: absolute;
  right: 25px;
  margin-top: -9px;
}


.eus-dashboards.tab-content {
	background: #FEFEFF;
	box-shadow: 0px 0px 60px rgba(136, 186, 221, 0.4);
	border-radius: 0px 0px 20px 20px;
	padding: 35px;
    min-height: 714px;
}

.nav-tabs {
	display: flex;
	flex-direction: row-reverse;
	border-bottom: none;
}

.nav-tabs .nav-item {
	flex-grow: 1;
	text-align: center;
	flex-basis: 0;
	position: relative;
}

.nav-tabs .nav-link {
	width: 100%;
	text-align: center;
	display: block;
	border-left: none;
	border-top: none;
	border-right: none;
	border-radius: 20px 20px 0px 0px;
	font-weight: 400;
	font-size: 20px;
	line-height: 24px;
	color: #1E1E1E;
	height: 55px;
}

.nav-tabs .nav-link.active {
	font-weight: 600;
}
.nav-tabs .nav-item::before {
	content: "";
	width: 100%;
	height: 100%;
	background: #FEFEFF;
	box-shadow: 0px 0px 60px rgba(136, 186, 221, 0.4);
	border-radius: 20px 20px 0px 0px;
	display: block;
	position: absolute;
	z-index: -1;
}

.nav-tabs {
	padding-left: 20px;
	padding-right: 20px;
}

.nav-tabs .nav-item::first {
	margin-left: 0px;
}

.nav-tabs .nav-item::last {
	margin-right: 0px;
}

.nav-tabs .nav-item {
	margin-left: -20px;
	margin-right: -20px;
	height: 55px;
}

.progress {
	background: #FFFFFF;
	border: 0.25px solid #000000;
	border-radius: 40px;
	height: 20px;
}

.progress-bar {
	border-radius: 40px;
	border: 0.25px solid #000000;
	color: #1E1E1E;
	margin-left: -1px;
	margin-top: -1px;
	height: 20px;
	text-align: left;
	padding-left: 10px;
}

.progress-bar.progress-secondary {
	background: #E7F1F8;
}

.ecd-dsi-progress {
	width: 120px;
}

.cms-admin-modal .container.ecd_main_container {
	margin-top: 0px;
}

.ecd-modal.bg-light {
	background-color: white !important;
}

.ecd-modal form#filterform input#id_keywords, .ecd-modal form#filterform .ecd-select2 {
    border-style: solid;
	border-width: thin;
}